On 5/26/2017 8:20 AM, Bryan Drewery wrote:
> For those running FreeBSD head, the ABI was majorly changed in r318736
> for 64-bit inodes.  This change was *backwards compatible* but not
> *forward compatible*.  This is normal and expected.
> For Pkg users:
> You are advised to upgrade your system past r318736 soon or avoid using
> official packages until you do.  Portmgr may upgrade the package
> builders at any time and without much notice.

I had forgotten a detail here.  The package builds are all automated.
The source jails are automatically updated before a build.  The package
builder's kernel doesn't matter here.  So head package builds _will_ be
ABI broken for systems older than r318736 either now or in the next day
or two once the builds finish and upload to the mirrors.

Bryan Drewery

Attachment: signature.asc
Description: OpenPGP digital signature

Reply via email to